Getting S-OFF on your HTC One (M7)

HTC devices usually come with Security-ON or S-ON, which prevents you from changing the Cellular ID (CID) or Model ID (MID) of your device, flash OTA updates manually and many other things. To put this more simply, if you are the kind of guy who likes to tinker with their phones, you will need Security-OFF or S-OFF. Going S-OFF won’t change anything from the user-perspective, you will still have the stable device you had before and you will get OTAs like before. Also, don’t confuse this with rooting or unlocking your bootloader, those are separate things. For example, my HTC One is S-OFF with locked bootloader and no root. I get official OTAs without any trouble. S-OFF is required when I convert my AT&T HTC One to Google Play Edition or Developer Edition. Follow the following steps to get your device S-OFF.

Continue reading

Convert Your HTC One to Official Google Play Edition HTC One

Although stock android might not be everyone’s favorite, many prefer the uncluttered stock android skin to OEM skins like Sense and TouchWiz. As the stock android is not bogged down by several different (sometimes unnecessary) pre-loaded apps and services, it usually performs better than manufacturer skins. Getting the complete stock android experience was limited to Nexus devices, which were (and still are) pretty hard to get outside USA for a proper price. But since last year, we are seeing the release of Google Play Edition devices, which boasts stock android on spectacular hardware of different OEMs, such as the Galaxy S4 and the HTC One.

Continue reading

Downgrade HTC One from Android 4.4.2 to Android 4.3: Return to Stock

For some reason, you might want to downgrade your HTC One from Android 4.4.2 to Android 4.3. For example, I updated my AT&T HTC One to Android 4.4.2 with Sense 6.0 by converting it to Developer Edition. After using it for some days, I wanted to revert it back to stock conditions. You might want to do it before returning it to AT&T for warranty or other issues.  If you just try to flash a lower version RUU, you will most likely get error message. The problem results from the fact that higher Android firmware from HTC usually comes with a higher version of HBOOT. So, whenever you try to flash an RU.exe, it will show you error as it cannot flash a lower version HBOOT to a device which already has a higher HBOOT version. We need to manually flash a lower version HBOOT first and then use RUU.exe to return to complete stock.

Continue reading